Page MenuHomePhabricator

Search Metrics for SDoC: eventlogging
Closed, ResolvedPublic

Description

Investigating what and if sufficient eventlogging is already setup for Commons search

  • investigate what are the appropriate metrics to track
  • is eventlogging setup only on Commons or is it on other projects
    • Multi-projects at once?

Event Timeline

debt created this task.Oct 5 2017, 8:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2017, 8:12 PM
debt updated the task description. (Show Details)Oct 11 2017, 9:46 PM
JKatzWMF renamed this task from Metrics for SDoC: eventlogging to Search Metrics for SDoC: eventlogging.Nov 21 2017, 9:07 PM

We computed several search metrics with event logging data in November 2017, and compare them with English Wikipedia. They are searches on desktop only, since we have very few searches on mobile web on Commons (less than 100 search result pages daily).

The zero results rate for full-text search is slightly lower on Commons compared to English Wikipedia:

However, the clickthrough rate for full-text search is much lower than English Wikipedia, only 10.42%:

Also, users on Commons are much more likely to click to see other pages of search results:

See https://github.com/wikimedia-research/SDoC-Initial-Metrics/tree/master/T177534 for more results.

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 18 2017, 3:05 PM
chelsyx closed this task as Resolved.Feb 7 2018, 5:59 PM